PDA

View Full Version : Problem shockwave-player Firefox windows via wine...



Hirozumii
April 6th, 2008, 07:42 PM
Hello, i dont know if i posted this in the right Sub forums,
but, i have a porblem.
I want to play habbo-hotel on my Ubuntu,
So i've installed Fire-fox windows version Through wine and i installed Shockwave player for windows Through wine.
But as soon as i am trying to play habbo-hotel,
it gets this:
http://i265.photobucket.com/albums/ii218/Hirozumi/Screenshot.png

And it wont go any further. but the browser or program or what-ever issn't crashed because it still responds on right klick and minimize etc.

Help please :(
im a pretty Bug N00b with Ubuntu/linux.....

i also am willing to fix this for other games that need shockwave player i want to play...

Hirozumii
April 7th, 2008, 03:36 PM
Does no one has an solution... ? :( :S

Thelasko
April 9th, 2008, 04:27 PM
Same thing here:( I must say, your wine install of Firefox looks better than mine. My title bar is all garbled and the Shockwave logo doesn't fill up the whole window.

scraghty604
April 9th, 2008, 08:58 PM
same here mine hangs up also

doorknob60
April 9th, 2008, 11:17 PM
Last time I checked Crossover could run Shockwave fairly well, and embed it in native browsers even. It uses shockwave 8.5 though, but its slightly outdated, but I'd recommend trying that in WIne. You won't be able to embed in a native browser with wine though. Here, try this older shockwave: http://www.oldapps.com/download.php?oldappsid=shockwave800_205.zip

Thelasko
April 10th, 2008, 02:49 PM
Thanks for the old software, doorknob60. The wine website says it should support Shockwave 10. I just noticed that the latest and greatest version(as of March 25, 2008 ) is Shockwave 11. I'm betting that's the problem.

PS My garbled graphics was just a video driver issue.

Thelasko
April 11th, 2008, 05:22 PM
I tried using Shockwave 10.2 last night and no success.

sgodsell
May 22nd, 2008, 01:39 AM
Shockwave works all the way up to 10.2, but starting with version 11 does not work under wine. However with my configuration I have windows version of firefox installed with both shockwave 10 and flash 9. I know I can use native firefox with flash 9. But when playing games and things with the browser I don't want to be going back and forth between native and windows firefox. Just download the latest version of shockwave 10, and everyone should be alright until wine is fixed :)